
QGIS Application - Bug report #4065

PostGIS connection from PGAdmin - troublesome on win7?

2011-07-09 10:15 PM - Bill Williamson

Status: Rejected

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version: Regression?: No

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14050

Description

I cannot connect to a PostGIS database from QGIS 1.7 and trunk. Add Postgis Layer - New Connection - cannot find

/etc/pg_service.conf

I am new to postgis but I have given this a good go. see 

http://gis.stackexchange.com/questions/12004/qgis-to-local-postgis-connection-fails

History

#1 - 2011-07-09 11:22 PM - Bill Williamson

I have got a successful connection;

but it seems putting anything in the parameter in the QGIS dialog for "service" causes a fail. 

And many other dead ends.

#2 - 2011-07-09 11:25 PM - Bill Williamson

How do I close this ticket???

#3 - 2011-07-10 12:42 AM - Jürgen Fischer

- Resolution set to invalid

billywill - wrote:

I have got a successful connection;

but it seems putting anything in the parameter in the QGIS dialog for "service" causes a fail. 

And many other dead ends.

You put a "service" reference into that field.  Obviously you need an entry in the connection service file for that.

#4 - 2011-07-10 12:43 AM - Jürgen Fischer

- Status changed from Open to Rejected
http://gis.stackexchange.com/questions/12004/qgis-to-local-postgis-connection-fails
http://www.postgresql.org/docs/9.0/static/libpq-pgservice.html

